﻿.therapyBlocksWrapper .top-content-row {
    margin-bottom: 20px;
}

.therapyBlocksWrapper .img-wrapper {
    position: relative;
    margin-bottom: 25px;
    border-radius: 25px 0px 25px 0px;
    overflow: hidden;
}

.therapyBlocksWrapper .img-wrapper .overlay {
    background: linear-gradient(to bottom, rgba(52,62,70,0.4) 0%,rgba(52,62,70,0.6) 100%);
    position: absolute;
    inset: 0;
    z-index: 5;
}

.therapyBlocksWrapper .img-wrapper img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
    transition: all .5s ease;
}

.therapyBlocksWrapper .img-wrapper h4 {
    position: absolute;
    bottom: 15px;
    left: 15px;
    margin-bottom: 0px;
    color: white;
    z-index: 10;
}

.therapyBlocksWrapper .mainTitle {
    margin-top: 0px;
}

.therapyBlocksWrapper .top-content {
    margin-bottom: 15px;
}

.therapyBlocksWrapper .button-wrapper {
    margin-top: auto!important;
}

.therapyBlocksWrapper .therapy-wrapper {
    height: 100%;
    margin-bottom: 0px !important;
    display: flex;
    flex-direction: column;
}

.therapyBlocksWrapper .bottom-row > div {
    margin-bottom: 25px;
}

.therapyBlocksWrapper .aspect-ratio-21-9 .img-wrapper,
.therapyBlocksWrapper .aspect-ratio-21-9 .location-block-wrapper {
    aspect-ratio: 21 / 9;
}

.therapyBlocksWrapper .aspect-ratio-16-9 .img-wrapper,
.therapyBlocksWrapper .aspect-ratio-16-9 .location-block-wrapper {
    aspect-ratio: 16 / 9;
}

.therapyBlocksWrapper .therapy-wrapper {
    position: relative;
}

.therapyBlocksWrapper .therapy-wrapper a.overlaylink {
    position: absolute;
    inset: 0;
    z-index: 50;
}

.therapyBlocksWrapper .therapy-wrapper:hover .img-wrapper img {
    opacity: 0.7;
}

.therapyBlocksWrapper .therapy-wrapper:hover .button-wrapper a {
    background: var(--darkest-grey);
    color: #ffffff;
    outline: none;
}

.therapyBlocksWrapper .button-wrapper {
    margin-top: 15px;
}

.therapyBlocksWrapper .bottom-row {
    display: flex;
    flex-wrap: wrap;
}

/*Search Box*/

.therapyBlocksWrapper .location-block-wrapper {
    background: var(--massage-green);
    border-radius: 25px 0px 25px 0px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-bottom: 25px;
    position: relative;
}

.therapyBlocksWrapper .location-block-wrapper h4 {
    margin-top: 0px;
    margin-bottom: 15px;
}

.therapyBlocksWrapper .front-map-content {
    z-index: 10;
}

.therapyBlocksWrapper .map-img {
    background: url(https://immediac.blob.core.windows.net/massageaddict2025/map-bg-img.png);
    position: absolute;
    inset: 0;
    background-size: cover;
}

/*Media Queries*/

@media (min-width: 768px) and (max-width: 991px) {
    .therapyBlocksWrapper .row.bottom-row {
        display: flex;
        flex-wrap: wrap;
    }

    .therapyBlocksWrapper .top-content {
        margin-bottom: 10px;
    }
}

@media (max-width: 767px) {
    .therapyBlocksWrapper .bottom-row > div:nth-last-of-type(-n+2) {
        margin-bottom: 30px;
    }

    .therapyBlocksWrapper .bottom-row > div:nth-last-of-type(1) {
        margin-bottom: 0px;
    }

    .therapyBlocksWrapper .top-content {
        margin-bottom: 10px;
    }
}